/*
 *   Xfrisk - The classic board game for X
 *   Copyright (C) 1993-1999 Elan Feingold (elan@aetherworks.com)
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *   $Id: colorEdit.h,v 1.8 2003/05/14 00:09:48 sketch Exp $
 */

#ifndef COLOREDIT_H
#define COLOREDIT_H

#include <X11/X.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

#include "types.h"

/* Build the dialog - initialization function */
void    COLEDIT_BuildDialog( void );
/* Read info from input box */
void    COLEDIT_UpdateColorWithInput( void );
/* Edit color of country selected from map */
void    COLEDIT_MapShiftClick( void );
/* Handle OK button */
void    COLEDIT_Ok( void );
/* Set color of scrollbars and text input box */
void    COLEDIT_InitDialogWithColor( Int32 iColorNum );
/* Pop up the dialog for editing */
String  COLEDIT_EditColor( Int32 iColor, Flag fStoreColor );

#endif /* COLOREDIT_H */

/* End of file */
