/*
 *   Xfrisk - The classic board game for X
 *   Copyright (C) 1993-1999 Elan Feingold (elan@aetherworks.com)
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *   $Id: debug.h,v 1.11 2003/07/13 22:51:15 morphy Exp $
 */

#ifndef DEBUG_H
#define DEBUG_H

#include <assert.h>
#include <stdlib.h>
#include <stdio.h>
#include <sys/types.h>

#include "types.h"

/*
 * Pass-through without debugging
 */
#define MEM_Alloc( uSize )              malloc( uSize )
#define MEM_Free( vPtr )                free( ( void * ) ( vPtr ) )

#endif /* DEBUG_H */

/* End of file */
